package base_organ

import (
	"net/http"

	"git.i2edu.net/i2/go-zero/rest/httpx"
	"git.i2edu.net/i2/i2-bill-api/internal/logic/base_organ"
	"git.i2edu.net/i2/i2-bill-api/internal/svc"
)

func GetErpCityTreeHandler(ctx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		l := base_organ.NewGetErpCityTreeLogic(r.Context(), ctx)
		resp, err := l.GetErpCityTree()
		if err != nil {
			httpx.Error(w, err)
		} else {
			httpx.OkJson(w, resp)
		}
	}
}
